Subject: Re: [PATCH] make file merging respect permissions

From: James Bottomley <[email-masked]>
Date: Sat, 23 Apr 2005 16:37:02 -0400

On Sat, 2005-04-23 at 13:17 -0700, Linus Torvalds wrote:
> The attached patch was seriously corrupt. Did you edit it by hand? The 
> second chunk of the git-merge-one-file-script patch claims to have 12 
> source lines, but only has 11, causing patch no end of confusion.

OK ... yes I admit it ... the shame ... I noticed a problem after I
generated it and then edited it in source

> I fixed up the line counts by hand, and the end result looked almost sane,
> but when looking closer, I noticed the
> 
> 	+       if [ $ -ne 0 ]; then
> 	+               echo "ERROR: Leaving conflict merge in $src2"
> 	                exit 1
> 
> which just can't be right either ("$" never equals 0, so the above will 
> always report an error), so I assume that whatever editing you did was 
> really quite corrupt. Yeah, yeah, you obviously meant "$?", but the fact 
> is, your patch is bogus, and I don't trust it. Can you re-send a valid one 
> (and sign off on it).

Yes boss ... Just getting on a 'plane now.  Should be able to send it
out in an hour or so.

James